import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React, { useCallback, useState } from 'react';
import purebem from 'purebem';
import { FoundationButton } from '@billogram/foundation-button';
import { FoundationControl, FoundationControlGroup } from '@billogram/foundation-control-group';
import { pgettext } from '@billogram/lang';
import { FoundationPanel } from '@billogram/foundation-panel';
import './FoundationTogglePanel.scss';
export default function FoundationTogglePanel(_ref) {
  var _ref$canEdit = _ref.canEdit,
      canEdit = _ref$canEdit === void 0 ? true : _ref$canEdit,
      _ref$children = _ref.children,
      children = _ref$children === void 0 ? function () {
    return null;
  } : _ref$children,
      _ref$description = _ref.description,
      description = _ref$description === void 0 ? null : _ref$description,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? null : _ref$title;

  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      isEditing = _useState2[0],
      setIsEditing = _useState2[1];

  var close = useCallback(function close() {
    setIsEditing(false);
  }, []);
  var open = useCallback(function open() {
    setIsEditing(true);
  }, []);
  var block = purebem('foundation-toggle-panel');
  return React.createElement(FoundationPanel, null, React.createElement("div", {
    className: block()
  }, title !== null && title !== '' ? React.createElement("div", {
    className: block('title')
  }, title) : null, description !== null && description !== '' ? React.createElement("div", {
    className: block('description')
  }, description) : null, !isEditing ? React.createElement(FoundationControlGroup, null, React.createElement(FoundationControl, null, React.createElement(FoundationButton, {
    disabled: !canEdit,
    onClick: open
  }, pgettext('generic-action', 'Edit')))) : null, React.createElement("hr", {
    className: block('separator')
  }), children({
    close: close,
    isEditing: isEditing,
    open: open
  })));
}
//# sourceMappingURL=FoundationTogglePanel.js.map